package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class SshMsgIgnore
        extends Message<SshMsgIgnore.Handler> {

    public final byte[] data;

    public SshMsgIgnore(byte[] data) {
        assertNotNull(data);
        this.data = data;
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgIgnore {"
                + "data.length=" + this.data.length
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgIgnore message, MessageConnection<Message> connection);

    }
}
